Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 143286 - php-4.3.10-3.1 undefined symbol: php_save_umask
Summary: php-4.3.10-3.1 undefined symbol: php_save_umask
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC3Update
TreeView+ depends on / blocked
 
Reported: 2004-12-18 01:58 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-21 22:22:08 UTC


Attachments (Terms of Use)

Description Warren Togami 2004-12-18 01:58:19 UTC
Description of problem:
php-4.3.10-3.1 in dist-fc3-updates-candidate is broken.

php-4.3.10-3.1.i386.rpm  php-ldap-4.3.10-3.1.i386.rpm 
php-mysql-4.3.10-3.1.i386.rpm  php-pear-4.3.10-3.1.i386.rpm
[root@projects tmp]# rpm -Uvh php*
Preparing...               
########################################### [100%]
   1:php-pear              
########################################### [ 25%]
   2:php-mysql             
########################################### [ 50%]
   3:php-ldap              
########################################### [ 75%]
   4:php                   
########################################### [100%]
[root@projects tmp]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: Syntax error on line 6 of /etc/httpd/conf.d/php.conf:
Cannot load /etc/httpd/modules/libphp4.so into server:
/etc/httpd/modules/libphp4.so: undefined symbol: php_save_umask
                                                           [FAILED]
[root@projects tmp]# vim /etc/httpd/conf.d/php.conf

Comment 2 Joe Orton 2004-12-21 22:22:08 UTC
Thanks Warren, fixed in -3.2 as shipped.


Note You need to log in before you can comment on or make changes to this bug.